Bug 383071 - Virtual machine configuration - add field for "migration type" xml attr = "migrate"
Virtual machine configuration - add field for "migration type" xml attr = "mi...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Depends On: 345871
  Show dependency treegraph
Reported: 2007-11-14 14:01 EST by Lon Hohberger
Modified: 2009-04-16 18:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0407
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:47:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2007-11-14 14:01:07 EST
+++ This bug was initially created as a clone of Bug #345871 +++

Currently, the live migration of instances through rgmanager (and Conga), the OS
instance will pause, migrate and then continue.  This can be changed by editig
the vm.sh file and adding "-l" to the migration command.  

We should make "-l" style migration the default to avoid the pause timing out
client connections.

-- Additional comment from lhh@redhat.com on 2007-11-14 13:59 EST --
Patch in CVS:



Synopsis: migrate attribute for vm configuration
Possible values: live or pause, default=live
Comment 1 Lon Hohberger 2007-11-14 14:06:04 EST

<vm name="molly" migrate="pause"/>     <--- "xm migrate molly..."
<vm name="frederick" migrate="live"/>  <--- "xm migrate -l frederick..."
<vm name="buster"/>                    <--- "xm migrate -l buster..."
Comment 2 RHEL Product and Program Management 2007-11-14 14:14:19 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 5 Brian Brock 2008-05-15 17:05:26 EDT
Actually, I do need more info for proper testing.

Should conga auto-detect that hosts are xen vms, and then generate the above
like in /etc/cluster/cluster.conf after only adding the virtual hosts (or
Comment 6 Ryan McCabe 2008-05-15 18:35:54 EDT
This is for manual configuration of VM services (to be managed by rgmanager).
The functionality added is letting users choose whether migration type should be
live or pause. You can get to the form via cluster -> [cluster name] -> services
-> Add a Virtual Service. Or you can modify an existing one to get to the same
configuration page.
Comment 7 Brian Brock 2008-05-16 02:21:10 EDT
looks sane across several passes, changing to verified.
Comment 9 errata-xmlrpc 2008-05-21 11:47:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.